{"w3"
	{on spawn
		{call "idle"}
		{tags add "jiangshi"}
	}
	{on move on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "run" 1.0 loop}
		}
	}
	{on move off
		{ani_stop "run"}
		{call "idle"}
	}
	{on turn on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "run" 1.0 loop}
		}
	}
	{on turn off
		{ani_stop "run"}
		{call "idle"}
	}
	{on "idle"
		{set "idle" 1}
		{if not "blocked"
			{if rand 0.5
				{ani_play "passive" 0.5 callback}
			 else
				{ani_play "passive2" 0.5 callback}
			}
		}
	}
	{on "safe-idle"
		{if "idle"
			{call "idle"}
		}
	}
	{on "start-idle"
		{set "idle" 1}
		{delay_effect 1 "safe-idle"}
	}
	{on animation_end "passive"
		{delay_effect 4 1.5 "safe-idle"}
	}
	{on animation_end "passive2"
		{delay_effect 4 1.5 "safe-idle"}
	}
	{on "stop_idle"
		{set "idle" 0}
		{ani_stop "passive"}
		{ani_stop "passive2"}
	}
	{on blast
		{call "damage"}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" callback}
	}
	;{on animation_end "attack"
	;	{set "blocked" 0}
	;	{call "start-idle"}
	;}
	{on ik begin "foresight3"
		{call "stop_idle"}
	}
	{on bullet_hit
		{health_damage_pierce
			{effects "" "damage-low" "damage" "die" "explosion" "explosion" "explosion"}
		}
	}
	{on "damage-low"
		{spawn "bloodsparks_small"}
	}
	{on "damage"
		{spawn "bloodsparks_small"}
	}
	{on "die"
		{tags remove "jiangshi"}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "attack"}
		{ani_stop "run"}
		{set "blocked" 1}
		{if not dead
			{if rand 0.25
				{ani_play "death"}
			else
				{ani_play "death1"}
			else
				{ani_play "death2"}
			else
				{ani_play "death3"}				
			}
		}
		{die}
	}
}
{"jiangshiEX"
	{on spawn
		{add_view	"light_plafond_dim"		"ex"		"hand2r"}
		{add_view	"light_plafond_dim"		"ex"		"hand2l"}
		{add_view	"light_plafond_dim"		"ex"		"body"}
		{add_view	"light_plafond_dim"		"ex"		"ik_updown"}
		{add_view	"light_plafond_dim"		"ex"		"head"}
		{view start "ex"}
		{scale from 2 to 2 time 0.1}
	}
	{on "die"
		{die}
		{ani_stop "death"}
		{scale from 2 to 3 time 0.3}
		{hide 0.3}
		{spawn "ww"}
		{blastwave c4 6 r0 8 r1 8}
		{fire radius 6 time 1}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{set "blocked" 0}
			{if dead
				{call "die"}
			}
			{if rand 0.001
				{scale from 2 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{spawn "jiangshiboss" "root"}
				}
			}
		}			
	}
}
{"jiangshiArmor"
	{on spawn
		{add_view	"light_plafond_dim"		"armor"		"body"}
		{add_view	"light_plafond_dim"		"armor"		"ik_updown"}
		{add_view	"light_plafond_dim"		"armor"		"head"}
		{view start "armor"}
		{scale from 1.5 to 1.5 time 0.1}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{set "blocked" 0}
			{if dead
				{call "die"}
			}
			{if rand 0.005
				{scale from 1.5 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{spawn "jiangshiex" "root"}
				}
			}
		}			
	}
}
{"jiangshiboss"
	{on spawn
		{add_view	"light_plafond_dim"		"ex"		"v1"}
		{add_view	"light_plafond_dim"		"ex"		"v2"}

		{scale from 5 to 5 time 0.1}
	}
	{on move on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "run" 1.0 loop}
			{call "zou"}
		}
	}
	{on "zou"
		{blastwave c4 6 r0 1 r1 8}
		{delay 0.5
			{if not "idle"
				{call "zou"}
			}
		}
	}
	{on "die"
		{die}
		{ani_stop "death"}
		{scale from 5 to 1 time 0.3}
		{hide 0.3}
		{spawn "sw"}
		{delay 0.2
			{spawn "ww"}
			{blastwave c4 18 r0 1 r1 30}
			{fire radius 30 time 3}
		}
	}
	{on fire "gun"
		{set "blocked" 1}
		;{set "blocked" 0}
		;{call "stop_idle"}
		;{ani_stop "walk"}
		;{ani_stop "run"}
		{ani_play "attack" 1.6}
		{set "blocked" 0}
		{delay 0.6
			{ani_play "run" 1.0 loop }
		}
	}
}

