{"w1"
	{inflammation_time 0.25}
	{on spawn
		{tags add "jiangshi"}

		{add_view	"cigarettesmoke"		"smoke"		"head"}
		{add_view	"drops_water_small2"	"on_water"	"foot3r"}
		{add_view	"drops_water_small2"	"on_water"	"foot3l"}
		{add_view	"drops_water_small3"	"swim"		"foot3r"}
		{add_view	"drops_water_small3"	"swim"		"foot3l"}
		{add_view	"drops_water_small3"	"swim"		"hand2r"}
		{add_view	"drops_water_small3"	"swim"		"hand2l"}
		{add_view	"wash_human_small"		"swim_move"	"head"}
		{add_view	"drops_puddle_small"	"on_puddle"	"foot3r"}
		{add_view	"drops_puddle_small"	"on_puddle"	"foot3l"}
		{add_view	"drops_puddle_small"	"die_in_swamp"	"foot3r"}
		{add_view	"drops_puddle_small"	"die_in_swamp"	"foot3l"}
		
		{add_view	"healing" 				"healing" "head"}
		
		{link_sound "move_ground" "human/move/ground"}
		{link_sound "move_road"   "human/move/road"}
		{link_sound "move_sand"   "human/move/sand"}
		{link_sound "move_snow"   "human/move/snow"}
		{link_sound "move_grass"  "human/move/grass"}

		{link_sound "swim" "human/move/swim"}

		{if able "burning"
			{call "add_burn_fx"}
			{view start "burn_fire"}
		}
	}
	{on contact
	
		{if not impregnable
			{kill_flags reset}
			{volumes disable contact}
			{delay 2
				{volumes enable contact}
			}
			{if effector "tank"
				{if not user_control
					{health_damage_crush "die" "crush"}
					(mod "mp"
				 else
					{health_damage_crush "die" "crush"}
					)
  	                (mod not "mp")
				 else
					{call "knock_down"}
					)
				}
			else effector "vehicle"
				{if not dead
					{if not user_control
						{call "die"}
						(mod "mp"
					 else
						{call "die"}
						)
						(mod not "mp"
					 else
						{call "knock_down"}
						)
					}
				else
					{spawn "bloodsparks_small"}
				}
			else effector "knife"
				{if contact_velocity 5
					{health_damage_count 500
						{effects "" "hit" "damage" "die_from_knife" "die_from_knife"}
					}
				}
			(define "health_damage"
				{health_damage_count %c
					{effects "" "hit" "damage" "die" "die"}
				}
  	        )
			else effector "axe"
				{if contact_velocity 5
  		        	("health_damage" c(500))
  		        }
			(define "contact_part"
			else effector %e
				{if contact_velocity %v
					(mod not "mp"
						{if difficulty "easy"
							{if user_control
								("health_damage" c(%ud))
							else
								("health_damage" c(%d))
							}
						else
							("health_damage" c(%d))
						}
					)
					(mod "mp"
						("health_damage" c(%d))
					)
				}

  	        )
			("contact_part" e("building_part")	v(3)	ud(20)	d(120))
			("contact_part" e("big part")		v(3)	ud(20)	d(120))
			("contact_part" e("medium part")	v(6)	ud(10)	d(80))
			("contact_part" e("small part")		v(10)	ud(3)	d(40))
			else effector "chicken"
				{health_damage_count 0
					{effects "" "hit" "hit" "hit" "hit"}
				}
			else effector "wire"
				{health_damage_count 20
					{effects "" "hit" "damage" "die" "die"}
				}
			else effector "flame_piece"
				{health_damage_count (mod "mp" 15) (mod not "mp" 15)
					{effects "" "hit" "hit" "die" "die"}
				}
			}
		}
	}
	{on bullet_hit
		{kill_flags reset}
		{spawn "ex_bul_sm"}		; to generate hit signal
		{if stuff "shell fg"
			{bullet_detonate}
		else stuff "shell cm"
			{bullet_detonate}
		else stuff "bazooka"
			{bullet_detonate}
			{call "process_bullet_hit"}
		else stuff "bullet"
			{if volume_armored
				{bullet_detonate}
			}
			{call "process_bullet_hit"}
		else
			{call "process_bullet_hit"}
		}
	}
	{on blow
		{if not name "knife"
			{start_sound "human/blow"}
		}
	}
	{on blow opponent
		{if name "knife"
			{health_damage_blow
				{effects "" "hit" "hit" "die_from_knife" "die_from_knife"}
			}
		else
			{if name "head"
				{spawn "bloodsparks_small" "head"}
			}
			{health_damage_blow
				{effects "" "hit" "hit" "die" "die"}
			}
		}
	}
	{on "process_bullet_hit"
		{if hit_side front	{kill_flags front}
		else hit_side back	{kill_flags back}
		else				{kill_flags front back}
		}
		{if velocity 7		{kill_flags run}
		else velocity 0.1	{kill_flags go}
		}
		{kill_flags piercing}
		{if	stuff "rifle"	{kill_flags rifle}}
		{if	stuff "mgun"	{kill_flags mgun}}
		{if	stuff "smg"	{kill_flags smg}}
		{if	stuff "pistol"	{kill_flags pistol}}

		{health_damage_pierce
			{effects	"hit-scream"
						"hit-light" "hit-heavy"
						"die" "hit-explosion"
						"throw-off" "throw-off-and-die"
			}
			{explosive_treshold 70}
			{table {30 1} {200 2.5} {500 3} {5000 5}}
		}
		{if volume "head"
;			{if not volume_armored
;				{if	stuff "sniper" {die}}
;			}
			{if rand 0.4
				{take_off "head"
					{impulse up 5 2 dir 7 3}
				}
			}
		}
		(mod "mp"
			{if volume "body"
				{if not volume_armored
				;	{if	stuff "pistol"	{if rand 0.08 {call "die"} ("health_damage" c(500))}}
				;	{if	stuff "mgun" {if rand 0.1 {call "die"} ("health_damage" c(500))}}
					{if	stuff "rifle" {if rand 0.2 ("health_damage" c(60))}}			
				}
			}
		)
	}

	{on blast_hit overload
		(mod "mp"
			{if min_energy 0.8
				("health_damage" c(100))
			}
		)
		
		{kill_flags reset}
		{if hit_side front	{kill_flags front}
		else hit_side back	{kill_flags back}
	    else				{kill_flags front back}
	    }
		{kill_flags blast}

		{health_damage_blast
			{effects	"hit-scream"
						"hit-light" "hit-heavy"
						"die" "hit-explosion"
						"throw-off" "throw-off-and-die"
			}
			{table {0.5 0.5} {2 1} {10 3} {50 6}}
		}
	}
	{on "die_throw_high"
		{set "die_after_throw" 1}
		{spawn "bloodsparks_small"}
		{call "die_scream"}
		{call "throw_high"}
	}
	
	{on "hit-scream"
		{if not "talk"
			{set "talk" 1}
			{talk "injuring"}
			{delay 10 2
				{set "talk" 0}
			}
		}
	}

	{on "hit-light"
		{spawn "bloodsparks_small"}
	}
	
	{on "hit-heavy"
		{spawn "bloodsparks_small"}
	}
	{on "hit-explosion"
		{if tagged "no_explosion"
			{call "die"}
		else
			{call "die_scream"}
			{call "explosion"}
			{call "die"}			
		}
	}
	{on "throw-off"
		{set "die_after_throw" 0}
		{call "throw_high"}
	}
	{on "throw-off-and-die"
		{set "die_after_throw" 1}
		{call "die_scream"}
		{call "throw_high"}
	}
	
	{on "hit"
		{call "hit-scream"}
	}
	{on "damage"
		{spawn "bloodsparks_small"}
		{call "hit"}
	}

	{on "throw_high"
		{if senseless
			{if not dead
				{if not user_control
					{call "die"}
				}
			}
		else
			{if not dead
				{if linked "vehicle"
					{if "die_after_throw"
						{throw_off up 1.3 0.5 dir 5.5 2 forward 4 turn 0 360 die force}
					else
						{throw_off up 1.3 0.5 dir 5.5 2 forward 4 turn 0 360 force}
					}
				else
					{if "die_after_throw"
						{throw_off up 4 0.8 dir 3.5 0.5 forward 0 0 die}
					else
						{throw_off up 4 0.8 dir 3.5 0.5 forward 0 0}
					}
				}
			else
				{call "explosion"}
			}
		}
	}
	{on "throw_off_end"
		{if not user_control
			{health_damage_count 50 
				{effects "" "hit" "damage" "die" "die"}
			}
		}
		{call "knock_down"}
	}
	{on "throw_off_end_die"
		{call "die"}
	}
	{on "throw_off_from_tower"
		{throw_off up 1 forward 2 die force}
	}
	{on "throw_off_from_ladder"
		{throw_off up 1 forward -2 die force}
	}
	{on "throw_off_from_ship"
		{throw_off up 4 dir 3 1 die force}
	}
	{on "throw_off_from_vehicle"
		{if user_control
			{throw_off up 1.3 0.5 dir 5.5 2 forward 4 turn 0 360 force}
		else
			{throw_off up 1.3 0.5 dir 5 1 forward 4 turn 0 360 rnd_die 0.7 force}
		}
	}
	{on "linker_simulation"
		{if effector "airborne"
		 else effector "cannon"
;			{throw_off up 2.25 0.75 forward 2.25 0.75 turn 0 360 force}
		 else altitude 3
			{throw_off up 1 forward 2 die force}
		}
	}

	{on "knock_down"
		{if not water_level -0.1
			{knockdown 12 3}
		}
	}

	{on "die"
		{if not dead
			{spawn "bloodsparks_small"}
			{if linked
				{if linked "shipflak"
					{call "throw_off_from_ship"}
				else linked "doublecolt"
					{call "throw_off_from_ship"}
				else linked "car"
					{if place "driver"
						{throw_off up 1.6 forward 2 turn -90 die force rotate_to_dir}
					else place "commander"
						{throw_off up 1.6 forward 2 turn +90 die force rotate_to_dir}
					else
						{call "die_with_blood"}
					}
				else altitude 2
					{if boarding
						{call "throw_off_from_ladder"}
					else
						{call "throw_off_from_tower"}
					}
				else linked "cannon"
					{call "die_with_blood"}
				else
					{call "throw_off_from_vehicle"}
				}
			else
				{call "die_with_blood"}
			}
		}
	}
	{on "die_with_blood"
		{if not senseless
			{spawn "blood"}
		}
		{call "die_without_blood"}
	}
	{on "die_without_blood"
		{view pause "swim"}
		{call "die_scream"}
		{if not kill_flags blast
			{kill_flags piercing}
		}
		{if rand 0.25
			{ani_play "death"}
		else
			{ani_play "death1"}
		else
			{ani_play "death2"}
		else
			{ani_play "death3"}				
		}
		{die}
		{delay 3
			{volumes enable contact}
		}
	}
	{on "die_scream"
		{if not "die_sound"
			{set "die_sound" 1}
			{talk "death_cry"}
			{signal mandie 5}
		}
	}
	{on "die_from_knife"
		{set "die_from_knife" 1}
		{call "die"}
	}

	{on ground_hit
		{spawn "blood"}
	}

	(define "piece_explosion"
		{spawn %0 %1
			{impulse	up 1 0.5 dir 8 4
						cx 0 12 cy 0 12
						fx 0 60 fy 0 60 fz 80 40
			}
		}
	)
	(define "piece_crush"
		{spawn %0 %1
			{impulse	up 0.1 0.1
						fx 0 7 fy 0 7 fz 0 7
			}
		}
	)
	(define "spawn_pieces"
		;left hand
		{if rand 0.2
			(%0 args "#hand00" "hand1l")
		else rand 0.2
			(%0 args "#hand01" "hand1l")
		else rand 0.2
			(%0 args "#hand02" "hand1l")
		else rand 0.2
			(%0 args "#bras01" "hand1l")
		}
		;right hand
		{if rand 0.2
			(%0 args "#hand00" "hand1r")
		else rand 0.2
			(%0 args "#hand01" "hand1r")
		else rand 0.2
			(%0 args "#hand02" "hand1r")
		else rand 0.2
			(%0 args "#main01" "hand1r")
		}

		;left foot
		{if rand 0.2
			(%0 args "#membre02" "foot1l")
		}
		;right foot
		{if rand 0.2
			(%0 args "#membre01" "foot1r")
		}

		;head
		{if rand 0.2
			(%0 args "#head01" "head")
		else rand 0.2
			(%0 args "#tete01" "head")
		else rand 0.2
			(%0 args "#head00" "head")
		}

		;body
		{if rand 0.2
			(%0 args "#torse01" "head")
		else rand 0.2
			(%0 args "#corps01" "head")
		else rand 0.2
			(%0 args "#corps02" "head")
		else rand 0.2
			(%0 args "#corps03" "head")
		else rand 0.2
			(%0 args "#corps04" "head")
		else rand 0.2
			(%0 args "#corps05" "head")
		}

		;tripe 1
		{if rand 0.2
			(%0 args "#tripe01" "head")
		}

		;tripe 2
		{if rand 0.2
			(%0 args "#tripe02" "head")
		}

		;tripe 3
		{if rand 0.2
			(%0 args "#tripe03" "head")
		}

		;tripe 4
		{if rand 0.2
			(%0 args "#tripe04" "head")
		}

		;tripe 5
		{if rand 0.2
			(%0 args "#tripe05" "head")
		}

		;tripe 6
		{if rand 0.2
			(%0 args "#tripe06" "head")
		}
	)
        (define "piece_explosion_small"
		{spawn %0 %1
			{impulse	up 2 1 dir 2 1
						cx 0 4 cy 0 4
						fx 0 20 fy 0 20 fz 40 20
			}
		}
              
	)
        (define "piece_explosion"
		{spawn %0 %1
			{impulse	up 4 2 dir 4 2
						cx 0 6 cy 0 6
						fx 0 30 fy 0 30 fz 80 40
			}
		}
              
	)
        (define "piece_explosion_medium"
		{spawn %0 %1
			{impulse	up 8 4 dir 8 4
						cx 0 12 cy 0 12
						fx 0 60 fy 0 60 fz 120 80
			}
		}
              
	)
        (define "piece_explosion_heavy"
		{spawn %0 %1
			{impulse	up 16 8 dir 16 8
						cx 0 18 cy 0 18
						fx 0 90 fy 0 90 fz 160 120
			}
		}
              
	)
	(define "piece_crush"
		{spawn %0 %1
			{impulse	up 1 0.5 dir 2 1
						cx 0 4 cy 0 4
						fx 0 20 fy 0 20 fz 30 15
			}
		}
            
	)

	{on "explosion"
		{if personage
			{call "die"}
		else     
			{if min_energy 5
                    
                            {spawn "bloodsparks_big"}
                            ("spawn_pieces" args "piece_explosion_heavy")
                            {call "delete"}
                        else min_energy 3.5 
                                     
                            {spawn "bloodsparks_small"}
                            ("spawn_pieces" args "piece_explosion_medium")
                            {call "delete"}
                         else min_energy 2
                            {spawn "bloodsparks_small"}
                            ("spawn_pieces" args "piece_explosion")
                            {call "delete"}
                         else min_energy 0.5
                       
                            {spawn "bloodsparks_small"}
                            ("spawn_pieces" args "piece_explosion_small")
                            {call "delete"}
                        else  {spawn "bloodsparks_small"} 
                        }
			
		}
	}
	{on "crush"
		{if personage
			{call "die"}
		else
			{spawn "bloodsparks_small"}
			("spawn_pieces" args "piece_crush")
			{call "delete"}
		}
	}
	{on "delete"
		{if not dead
			{stat_notify die}
		}
		{delete}
	}
	{on "burn_volume"
		{if volume "body"
			{call "_burn"}
		}
	}
	{on "_burn"
		{if not burned
			{able "burning" 1}
			(mod "mp"
				{able select 0}
			)
			(define "try_get_off"
				{delay %0 0.5
					{get_off}
				}
			)
			("try_get_off" args 1.0)
			("try_get_off" args 2.0)
			("try_get_off" args 3.0)
			("try_get_off" args 4.0)
			("try_get_off" args 5.0)
			{tex_morph "burned" 10}
			{call "add_burn_fx"}
			{view start "burn_fire"}
			{delay_effect 0.5 0.2 "burn_scream"}
			{delay 6 2 "burn_die"
				{able "burning" 0}
				{kill_flags reset}
				{kill_flags piercing}
				("health_damage" c(150))
				{if not dead
					{call "die"}
				}
				{view stop "burn_fire"}
				{if terrain_fx "puddle"
					{call "stop_burn"}
				else
					{add_view "smoke_dead_small1" "burn_fire_b" 	"body"}
					{add_view "smoke_dead_small1" "burn_fire_hl"	"hand1l"}
					{add_view "smoke_dead_small1" "burn_fire_hr"	"hand1r"}
					{add_view "smoke_dead_small1" "burn_fire_fl"	"foot2l"}
					{add_view "smoke_dead_small1" "burn_fire_fr"	"foot2r"}
					{view start "burn_fire_b"}
					{view start "burn_fire_hl"}
					{view start "burn_fire_hr"}
					{view start "burn_fire_fl"}
					{view start "burn_fire_fr"}
					{delay 7.5 1.5	{view stop "burn_fire_b"}}
					{delay 3.5 2.0	{view stop "burn_fire_hl"}}
					{delay 3.8 1.5	{view stop "burn_fire_hr"}}
					{delay 4.3 1.5	{view stop "burn_fire_fl"}}
					{delay 4.5 1.5	{view stop "burn_fire_fr"}}
				}
			}
			{burn time 17} ; total burn time
		}
	}
	{on "add_burn_fx"
		{add_view "smoke_dead_small" "burn_fire"	"body"}
		{add_view "smoke_dead_small" "burn_fire"	"hand1l"}
		{add_view "smoke_dead_small" "burn_fire"	"hand1r"}
;		{add_view "smoke_dead_small" "burn_fire"	"hand2l"}
;		{add_view "smoke_dead_small" "burn_fire"	"hand2r"}
		{add_view "smoke_dead_small" "burn_fire"	"foot2l"}
		{add_view "smoke_dead_small" "burn_fire"	"foot2r"}
	}
	{on "burn_scream"
		{if not dead
			{if not senseless
				{if not "quench"
					{talk "death_cry"}
;					{start_sound "human/die"}
					{delay_effect 1.2 0.5 "burn_scream"}
				else
					{kill_delay "burn_die"}
					{view stop "burn_fire"}
					{set "quench" 0}
					{able "burning" 0}
				}
			}
		}
	}
	{on "smoke"
		{smoke}
	}
	{on "smoking"
;		{con "smoke start"}
		{view start "smoke"}
		{delay 0.3 0.1
			{view pause "smoke"}
;			{con "smoke end"}
		}
	}
	
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 0.5 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
		}			
	}

	(define "terrain_fx_human"
		{on terrain_fx %0 enter
			{if not swimming
				{view start "on_%1"}
				{view start "on_%1_time_short"}
				{delay 0.1
					{view pause "on_%1_time_short"}
				}
			}
		}
		{on terrain_fx %0 leave
			{view pause "on_%1"}
		}
	)
	("terrain_fx_human" args "water" 			water)
	("terrain_fx_human" args "puddle"			puddle)
	("terrain_fx_human" args "shallow_water"	puddle)
	("terrain_fx_human" args "mud" 				mud)

	{on terrain_pp "swamp" enter
		{delay 0							; without delay will crash in Die()
			{call "die_without_blood"}
			{view start "die_in_swamp"}
			{delay 10
				{view stop "die_in_swamp"}
				{delete}
			}
		}
	}

	{on "diving"
		{delay 0.3
			{spawn "spherewater_big"}
		}
	}
	{on swim on
		{view pause "on_water"}
		{view start "swim"}
		{call "stop_burn"}
		{kill_delay "after_swim"}
	}
	{on swim off
		{delay 1.5 "after_swim"
			{view pause "swim"}
		}
	}
	{on move on
		{if swimming
			{view start "swim_move"}
		}
	}
	{on "stop_move_sounds"
		{stop_sound "move_road"}
		{stop_sound "move_ground"}
		{stop_sound "move_snow"}
		{stop_sound "move_sand"}
		{stop_sound "move_grass"}
		{stop_sound "swim"}
	}
	{on movement_mode_changed
		{call "stop_move_sounds"}
		{if name "fast"
			{if swimming
				{play_sound "swim" 1}
			else not lying
				{if terrain_fx "road"
					{play_sound "move_road" 1}
				else terrain_fx "country_road"
					{play_sound "move_road" 1}
				else terrain_fx "ice"
					{play_sound "move_snow" 1}
				else terrain_fx "snow"
					{play_sound "move_snow" 1}
				else terrain_fx "sand"
					{play_sound "move_sand" 1}
				else terrain_fx "grass"
					{play_sound "move_grass" 1}
				else
					{play_sound "move_ground" 1}
				}
			}
		}
	}
	{on move off
		{view pause "swim_move"}
		{call "stop_move_sounds"}
	}
	{on "stop_burn"
		{if burned
			{burn stop_retry}
			{set "quench" 1}
		}
	}
	{on "falldown"
		{if altitude 3
			{throw_off up 1 forward 0.01 die force}
		else altitude 1
			{throw_off up 1 forward 0.01 force}
		else       
			{throw_on_ground}
		}
	}
	{on "start_heal"
		{view start "healing"}
	}
	{on "stop_heal"
		{view pause "healing"}
	}
	{on "capture"
		{tags add "capturer"}
	}
}


{"evil_animal"
	{on spawn
		{call "idle"}
	}
	{on move on
		{call "stop_idle"}
		{if not "blocked"
		{ani_play "run" 1.0 loop}
		}
	}
	{on move off
		{ani_stop "run"}
		{call "idle"}
	}
	{on turn on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "walk" 1.0 loop}
		}
	}
	{on turn off
		{ani_stop "walk"}
		{call "idle"}
	}
	{on "idle"
		{set "idle" 1}
		{if not "blocked"
			{if rand 0.5
				{ani_play "passive" 0.5 callback}
			 else
				{ani_play "passive2" 0.5 callback}
			}
		}
	}
	{on "safe-idle"
		{if "idle"
			{call "idle"}
		}
	}
	{on "start-idle"
		{set "idle" 1}
		{delay_effect 1 "safe-idle"}
	}
	{on animation_end "passive"
		{delay_effect 4 1.5 "safe-idle"}
	}
	{on animation_end "passive2"
		{delay_effect 4 1.5 "safe-idle"}
	}
	{on "stop_idle"
		{set "idle" 0}
		{ani_stop "passive"}
		{ani_stop "passive2"}
	}
	{on bullet_hit
		{health_damage_pierce
			{effects "" "damage-low" "damage" "die" "explosion" "explosion" "explosion"}
		}
	}
	{on "damage-low"
		{spawn "bloodsparks_small"}
	}
	{on "damage"
		{spawn "bloodsparks_small"}
	}
	{on blast
		{call "damage"}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" callback}
	}
	{on animation_end "attack"
		{set "blocked" 0}
		{call "start-idle"}
	}
	{on ik begin "foresight3"
		{call "stop_idle"}
	}
	{on "die"
		{die}
		{tags remove "jiangshi"}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "attack"}
		{ani_stop "run"}
		{set "blocked" 1}
		{if not dead
			{if rand 0.25
				{ani_play "death"}
			else
				{ani_play "death1"}
			else
				{ani_play "death2"}
			else
				{ani_play "death3"}				
			}
		}
	}
}

{"dog"
	{on "damage"
		{start_sound "animal/dog/die"}	
	}
	{on "die"
		{die}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "attack"}
		{ani_stop "run"}
		{set "blocked" 1}
		{if not dead
			{if rand 0.25
				{ani_play "death"}
			else
				{ani_play "death1"}
			else
				{ani_play "death2"}
			else
				{ani_play "death3"}				
			}
		}
	}
}

{"horse_attack"
	{on "die"
		{scale from 1 to 2 time 0.3}
		{hide 0.3}
	}
}
{"jiangshi"
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 0.5 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{if dead
				{call "die"}
			}
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{if rand 0.5
						{spawn "jiangshicorw" "root"}
					else
						{spawn "jiangshijinhua" "root"}
					}
				}
			}
		}			
	}
}
{"jiangshiganranzhe"
	{on spawn
		{spawn "bloodsparks_small" "body"}
		{spawn "bloodsparks_small" "head"}
		{delay 0.2
			{spawn "bloodsparks_small" "body"}
			{spawn "bloodsparks_small" "head"}
			{delay 0.2
				{spawn "bloodsparks_small" "body"}
				{spawn "bloodsparks_small" "head"}
				{delay 0.2
					{spawn "bloodsparks_small" "body"}
					{spawn "bloodsparks_small" "head"}
					{delay 0.2
						{spawn "bloodsparks_small" "body"}
						{spawn "bloodsparks_small" "head"}
						{delay 0.2
							{call "xue"}
						}
					}
				}
			}
		}
	}
	{on "xue"
		{spawn "bloodsparks_small" "body"}
		{spawn "bloodsparks_small" "head"}
		{delay 0.2
			{spawn "bloodsparks_small" "body"}
			{spawn "bloodsparks_small" "head"}
			{delay 0.2
				{call "xue"}
			}
		}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		;{delay 0.1
		;	{if rand 0.5
		;		{spawn "bloodsparks_small" "w1"}
		;		{delay 0.1
		;			{spawn "bloodsparks_small" "w1"}
		;			{delay 0.1
		;				{spawn "bloodsparks_small" "w1"}
		;				{delay 0.1
		;					{spawn "bloodsparks_small" "w1"}
		;					{delay 0.1
		;						{spawn "jiangshiganranzhe" "w1"}
		;						{delay 0.1
		;							{spawn "bloodsparks_small" "w1"}
		;							{ani_play "run" 1.0 loop }
		;							{if dead
		;								{call "die"}
		;							}
		;						}
		;					}
		;				}
		;			}
		;		}
		;	}
		;}
		{delay 0.5
			{ani_play "run" 1.0 loop }
			{if dead
				{call "die"}
			}
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{spawn "jiangshiarmor" "root"}
				}
			}				
		}
	}
}

{"jiangshijinhua"
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{if dead
				{call "die"}
			}
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{if rand 0.5
						{spawn "jiangshispeed" "root"}
					else
						{spawn "jiangshibomb" "root"}
					}
				}
			}
		}			
	}
}

{"jiangshicrow"
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{if dead
				{call "die"}
			}
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{if rand 0.5
						{spawn "jiangshismoke" "root"}
					else
						{spawn "jiangshifire" "root"}
					}
				}
			}
		}			
	}
}

{"jiangshiSmoke"
	{on "die"
		{die}
		{ani_stop "death"}
		{scale from 1 to 2 time 0.3}
		{hide 0.3}
		{spawn "wsmoke"}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{if rand 0.5
						{spawn "jiangshiganranzhe" "root"}
					else
						{spawn "jiangshibomb" "root"}
					}
				}
			}
		}			
	}
}
{"jiangshiSpeed"
	{on spawn
		{add_view	"light_plafond_dim"		"speed"		"foot2r"}
		{add_view	"light_plafond_dim"		"speed"		"foot2l"}
		{view start "speed"}
	}
	{on "die"
		{die}
		{ani_stop "death"}
		{scale from 1 to 2 time 0.3}
		{hide 0.3}
		{spawn "w6"}
		{fire radius 2 time 1}
	}	
	{on move on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "run" 1.5 loop}
		}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1.6 callback}
		{delay 0.6
			{ani_play "run" 1.0 loop }
			{if rand 0.005
				{scale from 1 to 0.1 time 0.3}
				{hide 0.3}
				{delay 0.3
					{spawn "jiangshiganranzhe" "root"}
				}
			}
		}			
	}
}

{"jiangshiBomb"
	{on spawn
		{add_view	"w3"		"bomb"		"ik_updown"}
		{view start "bomb"}
	}
	{on "die"
		{die}
		{ani_stop "death"}
		{scale from 1 to 2 time 0.3}
		{hide 0.3}
		{spawn "ww"}
		{fire radius 6 time 1}
		{blastwave c4 16 r0 3 r1 8}
	}	
	{on move on
		{call "stop_idle"}
		{if not "blocked"
			{ani_play "run" 1.5 loop}
		}
	}
	{on fire "gun"
		{set "blocked" 1}
		{call "stop_idle"}
		{ani_stop "walk"}
		{ani_stop "run"}
		{ani_play "attack" 1 callback}
		{call "die"}
	}
}
